Returns the yield vaults registered and accessible to the specified environment.
GET
/
environments
/
{environmentId}
/
yield
/
vaults
Get the yield vaults for an environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/yield/vaults \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/yield/vaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/yield/vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vaults": [
{
"vaultId": "<string>",
"curator": "<string>",
"assetSymbol": "<string>",
"assetAddress": "<string>",
"chainId": 123,
"netApy": 123,
"tvlUsd": 123
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of yield vaults for this project environment
List of yield vaults accessible to this environment.
Show child attributes
Show child attributes
Last modified on August 19, 2026
Was this page helpful?
⌘I
Get the yield vaults for an environment
